Bug 490615 - TypeError: update_cb() takes exactly 1 argument (2 given)
TypeError: update_cb() takes exactly 1 argument (2 given)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 06:37 EDT by Michal Nowak
Modified: 2013-03-07 21:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 07:54:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-03-17 06:37:24 EDT
Description of problem:

Start Rhythmbox, select "Jamendo":

Traceback (most recent call last):
  File "/usr/lib64/rhythmbox/plugins/jamendo/JamendoSource.py", line 137, in do_impl_activate
    self.__update_catalogue()
  File "/usr/lib64/rhythmbox/plugins/jamendo/JamendoSource.py", line 253, in __update_catalogue
    self.__catalogue_check.check_for_update(jamendo_song_info_uri, self.__local_catalogue_path, update_cb)
  File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 161, in check_for_update
    self.callback(True, self.args)
TypeError: update_cb() takes exactly 1 argument (2 given)


Jamendo never loads. Quit Rhythmbox:

Traceback (most recent call last):
  File "/usr/lib64/rhythmbox/plugins/jamendo/JamendoSource.py", line 160, in do_impl_delete_thyself
    self.__catalogue_check.cancel()
TypeError: 'gio.Cancellable' object is not callable

But app is still connected to the terminal.


Version-Release number of selected component (if applicable):

rhythmbox-0.11.99.2-1.fc11.x86_64

How reproducible:
always

Actual results:

Backtrace, rhythmbox is not working.

Additional info:

``rm -rf ~/.gnome2/rhythmbox'' was done. I wish I dump other rhythmbox caches too, like media library, but not sure where is it.
Comment 1 Michal Nowak 2009-03-17 06:46:18 EDT
Same with Magnatune:

Traceback (most recent call last):
  File "/usr/lib64/rhythmbox/plugins/magnatune/MagnatuneSource.py", line 143, in do_impl_activate
    self.__move_data_files()
  File "/usr/lib64/rhythmbox/plugins/magnatune/MagnatuneSource.py", line 640, in __move_data_files
    otherfiles = os.listdir(old_magnatune_dir)
OSError: [Errno 2] No such file or directory: '/home/newman/.gnome2/rhythmbox/magnatune'
Traceback (most recent call last):
  File "/usr/lib64/rhythmbox/plugins/magnatune/MagnatuneSource.py", line 150, in do_impl_activate
    self.__update_catalogue()
  File "/usr/lib64/rhythmbox/plugins/magnatune/MagnatuneSource.py", line 398, in __update_catalogue
    self.__catalogue_check.check_for_update(magnatune_song_info, magnatune_song_info_uri, update_cb)
  File "/usr/lib64/rhythmbox/plugins/rb/Loader.py", line 161, in check_for_update
    self.callback(True, self.args)
TypeError: update_cb() takes exactly 1 argument (2 given)
Comment 2 Bastien Nocera 2009-03-18 07:54:15 EDT
Fixed in 0.11.99.3-1

Note You need to log in before you can comment on or make changes to this bug.